# frozen_string_literal: true

require 'yard'
require 'kramdown'

module YARD
  module Templates
    module Helpers
      # Markup helpers
      module MarkupHelper
        MARKUP_PROVIDERS[:markdown] << { lib: :kramdown, const: 'Kramdown::Document' }
        MARKUP_PROVIDERS[:kramdown] = [{ lib: :kramdown, const: 'Kramdown::Document' }]
        MARKUP_EXTENSIONS[:kramdown] = ['.kmd']
      end

      # HTML helper
      module HtmlHelper
        def html_markup_kramdown(text)
          markup_class(:kramdown).new(text).to_html
        end
      end
    end
  end
end
